> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all asset groups

> This endpoint retrieves a list of all asset-groups



## OpenAPI

````yaml /api/specs/assetManagement-api.json get /asset-management/v1/asset-groups
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for assetManagement service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /asset-management/v1/asset-groups:
    get:
      tags:
        - Asset Groups
      summary: List all asset groups
      description: This endpoint retrieves a list of all asset-groups
      parameters:
        - in: query
          name: limit
          description: >-
            The maximum number of asset groups to return (default 20, maximum
            100)
          schema:
            type: string
            pattern: ^[0-9][0-9]?$|^100$
        - in: query
          name: startingAfter
          description: >-
            The ID of the last asset group in the previous page of results.
            Results will start after this asset group
          schema:
            type: string
        - in: query
          name: ids
          description: A comma-separated list of asset group IDs to filter the results
          schema:
            type: string
        - in: query
          name: includeArchived
          description: >-
            When 'true', archived (deleted) asset groups are included. Defaults
            to excluding them.
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
      responses:
        '200':
          description: A list of asset groups
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    required:
                      - hasMore
                      - items
                    properties:
                      hasMore:
                        type: boolean
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/AssetGroup'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetManagementBadRequestError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetManagementUnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultForbiddenError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetManagementInternalServerError'
      security:
        - oauth2:
            - read:assetgroup
components:
  schemas:
    AssetGroup:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - location
        network:
          type: object
          properties:
            id:
              type: string
          required:
            - id
        sitePartners:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
            required:
              - id
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        location:
          $ref: '#/components/schemas/Location'
        metadata:
          type: object
          additionalProperties: true
      required:
        - id
        - type
        - network
        - sitePartners
        - createdAt
        - updatedAt
    AssetManagementBadRequestError:
      type: object
      description: The response body for a 400 request
      properties:
        type:
          type: string
          enum:
            - BAD_REQUEST
        code:
          type: string
          enum:
            - INVALID_REQUEST_PARAMETERS
            - REFERENCE_ERROR
            - UNSUPPORTED_TYPE
            - LOCATION_VALIDATION_ERROR
            - CHARGING_STATION_VALIDATION_ERROR
            - SITE_HOST_VALIDATION_ERROR
            - UTILITY_VALIDATION_ERROR
            - UTILITY_USER_NOT_ALLOWED
            - INVALID_CONTACT_DETAILS
            - CONTACT_DETAILS_ALREADY_EXISTS
            - SITE_PARTNER_USER_ARCHIVED
            - ASSET_NOT_CONNECTED
            - LICENSE_ALREADY_ASSIGNED
            - INVALID_AUTH_METHOD
            - INVALID_ENROLLED_SERVICES
            - UNSUPPORTED_PAYMENT_TERMINAL_PROVIDER
            - UNSUPPORTED_SIM_PROVIDER
            - RATE_IN_USE
            - CHARGING_STATION_MODEL_ARCHIVED
            - OPERATING_SITE_HOST_NOT_FOUND
            - OPERATING_SITE_HOST_INVALID_TYPE
            - OPERATING_SITE_HOST_ARCHIVED
            - LOCATION_ARCHIVED
        message:
          type: string
    AssetManagementUnauthorizedError:
      type: object
      description: The response body for a 401 request
      properties:
        message:
          type: string
    DefaultForbiddenError:
      type: object
      description: The response body for a 403 request
      properties:
        message:
          type: string
    AssetManagementInternalServerError:
      type: object
      description: The response body for a 500 request
      properties:
        type:
          type: string
          enum:
            - INTERNAL_ERROR
        code:
          type: string
          enum:
            - INTERNAL_SERVER_ERROR
        message:
          type: string
    Location:
      type: object
      description: Will be present if the type of the asset group is "location"
      properties:
        name:
          type: string
        taxConfig:
          description: Tax configuration applied to charging sessions at this location.
          type: object
          nullable: true
          properties:
            totalPercentSalesTax:
              type: number
              nullable: true
            energyPerKwhExciseTax:
              type: number
              nullable: true
        visibility:
          $ref: '#/components/schemas/LocationVisibility'
        openingDate:
          type: string
          format: date-time
          nullable: true
        contactDetails:
          type: object
          properties:
            phone:
              type: string
            email:
              type: string
              format: email
            website:
              type: string
            facebook:
              type: string
            linkedIn:
              type: string
          required:
            - phone
            - email
            - website
        images:
          type: array
          items:
            type: object
            properties:
              url:
                type: string
              thumbnail:
                type: string
              category:
                type: string
              imgType:
                type: string
            required:
              - url
              - category
              - imgType
          nullable: true
        businessType:
          type: string
          enum:
            - HOTEL
            - RESTAURANT
            - CAFE
            - SHOPPING_MALL
            - SUPERMARKET
            - SPORTS_ARENA
            - RECREATION_AREA
            - NATURE
            - MUSEUM
            - BUS_STOP
            - TAXI_STAND
            - TRAM_STOP
            - TRAIN_STATION
            - AIRPORT
            - PARKING_LOT
            - CARPOOL_PARKING
            - GAS_STATION
            - RESIDENTIAL
            - OFFICE_PARK
            - CAR_DEALERSHIP
            - FLEET_DEPOT
            - OTHER
        physicalAddress:
          $ref: '#/components/schemas/PhysicalAddress'
        hours:
          description: >-
            Specifies the opening hours of the location. At a minimum you must
            specify if the location is open 24/7 via the twentyfourseven
            property.
          type: object
          properties:
            twentyfourseven:
              type: boolean
            regularHours:
              type: array
              items:
                type: object
                properties:
                  weekday:
                    type: number
                  periodBegin:
                    type: string
                  periodEnd:
                    type: string
                required:
                  - weekday
                  - periodBegin
                  - periodEnd
            exceptionalOpenings:
              type: array
              items:
                type: object
                properties:
                  periodBegin:
                    type: string
                  periodEnd:
                    type: string
                required:
                  - periodBegin
                  - periodEnd
            exceptionalClosings:
              type: array
              items:
                type: object
                properties:
                  periodBegin:
                    type: string
                  periodEnd:
                    type: string
                required:
                  - periodBegin
                  - periodEnd
          required:
            - twentyfourseven
        geoLocation:
          $ref: '#/components/schemas/GeoLocation'
        timezone:
          type: string
          description: >-
            TZ database name, e.g. "America/New_York". This is automatically
            derived from the geoLocation.
        directionHint:
          type: string
          nullable: true
        allowChargingWhenClosed:
          description: Indicates that if the location is close charging is still available.
          type: boolean
        parkingType:
          type: string
          enum:
            - PARKING_GARAGE
            - PARKING_LOT
            - DRIVEWAY
            - ON_STREET
            - OTHER
          nullable: true
        amenities:
          type: array
          items:
            type: string
          nullable: true
        visibilityNote:
          type: string
          nullable: true
        industryVertical:
          type: string
          enum:
            - RETAIL_AND_HOSPITALITY
            - MULTI_UNIT_DWELLING
            - WORKPLACE
            - PUBLIC_DCFC
            - MUNICIPAL_FLEET
            - DEPOT_FLEET
            - PUBLIC_MUNICIPAL
          nullable: true
      required:
        - name
        - visibility
        - contactDetails
        - businessType
        - physicalAddress
        - hours
        - timezone
        - geoLocation
        - allowChargingWhenClosed
    LocationVisibility:
      description: >-
        Indicates if the location is public or has some level of restricted
        access.
      type: string
      enum:
        - EMPLOYEE_ONLY
        - RESIDENT_ONLY
        - PUBLIC
        - PRIVATE
        - IN_NETWORK_ONLY
    PhysicalAddress:
      description: Physical address details
      type: object
      properties:
        streetNumber:
          type: string
          minLength: 1
          maxLength: 100
        streetName:
          type: string
          minLength: 1
          maxLength: 100
        streetDetails:
          type: string
          minLength: 1
          maxLength: 100
        city:
          type: string
          minLength: 1
          maxLength: 100
        state:
          $ref: '#/components/schemas/USStates'
        postalCode:
          type: string
          minLength: 1
          maxLength: 10
        countryCode:
          type: string
          enum:
            - US
            - CA
      required:
        - streetNumber
        - streetName
        - city
        - state
        - postalCode
        - countryCode
    GeoLocation:
      description: Geolocation details for the location
      type: object
      properties:
        longitude:
          type: number
          minimum: -180
          maximum: 180
        latitude:
          type: number
          minimum: -90
          maximum: 90
      required:
        - longitude
        - latitude
    USStates:
      type: string
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
        - DC
        - AS
        - GU
        - MP
        - PR
        - UM
        - VI
  securitySchemes:
    oauth2:
      type: oauth2
      description: OAuth2 Client Credentials Flow
      flows:
        clientCredentials:
          tokenUrl: https://lynkwell-prod.us.auth0.com/oauth/token
          scopes:
            read:asset: Retrieve assets
            write:asset: Create and update assets
            read:assetgroup: Retrieve asset groups
            write:assetgroup: Create and update asset groups
            read:assetstatus: Retrieve asset statuses
            read:chargingstationmodel: Retrieve charging station models
            write:chargingstationmodel: Create and update charging station models
            write:network: Create and update networks
            write:sitepartner: Create and update site partners
            read:sitepartner: Retrieve site partners
            write:sitepartneruser: Create and update site partner users
            read:sitepartneruser: Retrieve site partner users
            read:networkaccessprofile: Retrieve network access profiles
            write:paymentprofile: Create payment profile
            write:onboardinglink: Create an onboarding link
            read:invoice: Retrieve an invoice
            write:session: Create or update a session
            read:session: Retrieve a session
            write:ticket: Create a ticket
            write:verificationcode: Send and confirm verification codes
            write:driver: Create and update drivers
            read:driver: Retrieve drivers
            write:token: Create and update tokens
            read:token: Retrieve tokens
            read:tokenvalue: Retrieve token by ID including its value
            write:invitecode: Create and update invite codes
            write:invitation: Create and update invitations
            read:invitation: Retrieve invitations
            read:payment_terminals_payment: Read payments from payment terminal
            abort:session: Abruptly end session
            read:paymentprofile: Retrieve payment profile from payment terminal
            write:ocpp: Sends request over OCPP
            write:ocpp.raw_request: Sends raw request over OCPP
            write:notification.email: Create and update email
            read:invoiceitem: Retrieve invoice item
            read:subscription: Retrieve subscription
            write:plugandcharge_enrollment: Update Plug and Charge enrollment status
            write:projects: Create and update projects
            read:projects: Retrieve projects
            write:project_stations: Create and update project stations
            write:panel: Create and update panels.
            read:panel: Retrieve panels.
            write:webhooks: Create, update, and delete webhooks
            read:webhooks: Retrieve webhooks

````